Inspect

Ask session side question

Answer a question using the current session transcript without prompting, interrupting, or modifying the session. This works while the session is in progress. Optionally provide a JSON Schema to receive structured output.

Base URL
POST
/api/public/v1/sessions/{session_id}/btw

Answer a question using the current session transcript without prompting, interrupting, or modifying the session. This works while the session is in progress. Optionally provide a JSON Schema to receive structured output.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

session_id*string

The unique identifier of the session

Request Body

application/json
  1. body
prompt*string

The side question to answer from the current session transcript.

Length1 <= length
output_schema?

Optional JSON Schema for the result. The schema must use the subset supported by OpenAI Structured Outputs.

Response Body

Question answered successfully

application/json
  1. response
data*
Example Request
curl -X POST 'https://your-org.inspect.com/api/public/v1/sessions/string/btw' \  -H 'Content-Type: application/json' \  -d '{  "prompt": "string"}'
Example Response
{  "data": {    "prompt": "string",    "result": null  }}